#include <stdio.h>
#include <stdlib.h>
#include <SDL.h>
#include <SDL_timer.h>
#include <math.h>
#include "gfx.h"
#include "game.h"
#include "missile.h"
#include "shot.h"
#include "explosion.h"
#include "SFont.h"
#include "wave.h"
#ifdef GP2X
#include "sound_mikmod.h"
#else
#include "sound.h"
#endif
#include "bomb.h"
#include "options.h"
#include "mouse.h"

#define GP2X_BUTTON_UP              (0)
#define GP2X_BUTTON_DOWN            (4)
#define GP2X_BUTTON_LEFT            (2)
#define GP2X_BUTTON_RIGHT           (6)
#define GP2X_BUTTON_UPLEFT          (1)
#define GP2X_BUTTON_UPRIGHT         (7)
#define GP2X_BUTTON_DOWNLEFT        (3)
#define GP2X_BUTTON_DOWNRIGHT       (5)
#define GP2X_BUTTON_CLICK           (18)
#define GP2X_BUTTON_A               (12)
#define GP2X_BUTTON_B               (13)
#define GP2X_BUTTON_X               (15)
#define GP2X_BUTTON_Y               (14)
#define GP2X_BUTTON_L               (11)
#define GP2X_BUTTON_R               (10)
#define GP2X_BUTTON_START           (8)
#define GP2X_BUTTON_SELECT          (9)
#define GP2X_BUTTON_VOLUP           (16)
#define GP2X_BUTTON_VOLDOWN         (17)

extern int fullscreen,CityDestroyed[6],CannonDestroyed[3],Score,Quit,HWCursor,NoAlpha,StartLevel,ArcadeMode,FastQuit;
extern int SoundVol,MusicVol,AllVol;
extern SDL_Surface *background,*ShotPic,*CityPic,*BackPic,*CityHitPic,
		   *Cannon[21],*Font,*BombPic[10],*CannonHitPic,
		   *ExplosionPic[21],*CursorPic[10],*FlyerPic[16];
extern int LowDetail, MediumDetail, HighDetail;
extern SDL_Event event;

extern int Wait( int time_in_ms );

//#define JOYSTICK 1
